Repository 32bit  Forum
Repository 64bit  Wiki

installare J2RE

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

installare J2RE

Messaggioda robertone » ven nov 26, 2004 18:53

Ciao a tutti. <BR> <BR>Recentemente ho installato su uno dei miei disci rigidi la Slack 10.0 e piano piano sto configurando il tutto. Ora, dopo aver installato Firefox 1.0 devo installare j2re. <BR>Premesso che su altre distro (uso anche MDK 9.2 a casa e in ufficio) non ho avuto problemi di sorta, qui mi chiede di soddisfare alcune dipendenze. Vabbè... scaricati i relativi pacchetti, mi chiede di soddisfare anche /bin/sh ?!? <BR>Mi sfugge qualcosa?? :-( <BR> <BR>Ora sono in ufficio... stasera da casa potrò magari dare qualche indicazione in più se sarà il caso. <BR> <BR>Grazie <BR> <BR>Rob <BR> <BR> <BR>p.s. <BR>mi piace questa distribuzione anche se più complessa da mettere a punto... almeno si impara qualcosa... <BR> <BR><br>
robertone
Linux 1.0
Linux 1.0
 
Messaggi: 4
Iscritto il: ven nov 26, 2004 0:00

installare J2RE

Messaggioda goodchild » ven nov 26, 2004 19:28

dovresti avere gia´ installato j2sdk che dovrebbe bastare per tutto quello che java solitamente ti serve, ovvero usare le applicazioni java embeddate nei siti. <BR>piuttosto credo che non hai messo il link giusto per usare java in firefox: <BR>controlla nella directory dove hai installato firefox in plugins se c´e´ libjavaplugin_oji.so <BR>nel caso non ci siano crea il seguente link <BR>in plugins <BR>ln -s /usr/lib/j2sdk1.4.2_04/jre/plugin/i386/ns610-gcc32/libjavaplugin_oji.so . <BR><br>
goodchild
Linux 2.6
Linux 2.6
 
Messaggi: 536
Iscritto il: lun gen 12, 2004 0:00

installare J2RE

Messaggioda robertone » sab nov 27, 2004 8:17

Ciao <BR>questo è l´output provando a installare j2re. Idem con j2sdk <BR> <BR><home/roberto/Desktop/j2re-1_4_2_03-linux-i586.rpm´;echo RESULT=$? <BR>error: Failed dependencies: <BR> glibc >= 2.1.2-11 is needed by j2re-1.4.2_03-fcs <BR> sh-utils >= 2.0-1 is needed by j2re-1.4.2_03-fcs <BR> fileutils >= 4.0-8 is needed by j2re-1.4.2_03-fcs <BR> gawk >= 3.0.4-1 is needed by j2re-1.4.2_03-fcs <BR> textutils >= 2.0-2 is needed by j2re-1.4.2_03-fcs <BR> /bin/sh is needed by j2re-1.4.2_03-fcs <BR>RESULT=1 <BR> <BR>fatemi capire.. <BR>passi per sh-utils, fileutils e gawk, ma perchè mi chiede glibc e /bin/sh visto che ci sono sul mio PC ???? <BR> <BR>Forse queste domande sono terra terra..... ma sebbene uso linux da diversi anni, certi aspetti non li ho mai affrontati: ecco perchè ho installato Slack solo la settimana scorsa.... ;-) <BR> <BR>Rob <BR> <BR><br>
robertone
Linux 1.0
Linux 1.0
 
Messaggi: 4
Iscritto il: ven nov 26, 2004 0:00

installare J2RE

Messaggioda useless » sab nov 27, 2004 14:04

xké stai usando un rpm. slack non usa gli rpm, sebbene includa il comando rpm, pur dicendo chiaramente che è unsupported. <BR>rpm non trova le dipendenze semplicemente xké non sono stata installate con rpm, ma con i tgz, formato ufficiale di slack, che non ha molto a che vedere con l´odioso rpm. <BR> <BR>soluzione: butta gli rpm che non servono a niente e usa i tgz. tra i pkg ufficiali (sul cd quindi) trovi il j2sdk (jdk x gli amici) che include anche il jre. installalo con installpkg e sei a posto. <BR> <BR>soluzione se proprio vuoi usare rpm (ma non vedo xké): aggiungi --nodeps.<br>
Avatar utente
useless
Staff
Staff
 
Messaggi: 3896
Iscritto il: sab ott 11, 2003 23:00
Località: A place where the streets have no name

installare J2RE

Messaggioda robertone » sab nov 27, 2004 18:35

<!-- BBCode Quote Start --><TABLE BORDER=0 ALIGN=CENTER WIDTH=85%><TR><TD><font size=-1>Quote:</font><HR></TD></TR><TR><TD><FONT SIZE=-1><BLOCKQUOTE> <BR> 27-11-2004 alle ore 14:04, useless : <BR>xké stai usando un rpm. slack non usa gli rpm, <BR></BLOCKQUOTE></FONT></TD></TR><TR><TD><HR></TD></TR></TABLE><!-- BBCode Quote End --> <BR> <BR>urca vacca.... hai ragione. :-] <BR>quando vado a casa riprovo. con un .tgz <BR> <BR>Rob<br>
robertone
Linux 1.0
Linux 1.0
 
Messaggi: 4
Iscritto il: ven nov 26, 2004 0:00


Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti